Subject: bug#18989: Emacs freezes after using the “eval line and step” icon More Details

From: "Jan D." <[email-masked]>
Date: Sat, 8 Nov 2014 14:04:28 +0100

Please don’t remove the Cc to debbugs.gnu.org.
 
> 8 nov 2014 kl. 13:49 skrev Ragy Isaac <[email-masked]>:
> 
> Good morning Jan,
> 
> ”eval line and step” icon in the toolbar is part of ESS.

And ESS is?

	Jan D.

> 
> 
> Best Regards,
> 
> Ragy Isaac
> President, Co-Founder
> 
> 
> 
> Quality Promoter International, LLC
> (630) 460-2717
> Skype: Quality.Promoter
> [email-masked] <mailto:[email-masked]>
> http://www.QualityPromoter.com <http://www.qualitypromoter.com/>
> 
> 
> 
> 
>> On Nov 8, 2014, at 1:38 AM, Jan D. <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Where do you get a ”eval line and step” icon in the toolbar?  It is not in the default, so I assume it is in another mode.  Please provide the name of that mode also.
>> 
>> 	Jan D.
>> 
>>> 7 nov 2014 kl. 21:43 skrev Ragy Isaac <[email-masked] <mailto:[email-masked]>>:
>>> 
>>> Emacs freezes after using the “eval line and step” icon from the
>>> tool-bar in QUICK succession. The minibuffer displays “tool-bar eval
>>> line and step”. C-g does not unfreeze emacs. I use Force Quite to
>>> terminate emacs. Freezing does not occur if I slowly use “eval line and
>>> step” icon or if I do not use “eval line and step” icon. Instead of the
>>> “eval line and step” icon I execute the R code with C-enter which does
>>> not freeze emacs.
>>> Best Regards,
>>> 
>>> Ragy Isaac
>>> President, Co-Founder
>>> 
>>> 
>>> 
>>> Quality Promoter International, LLC
>>> (630) 460-2717
>>> Skype: Quality.Promoter
>>> [email-masked] <mailto:[email-masked]>
>>> http://www.QualityPromoter.com <http://www.qualitypromoter.com/>
>>> 
>>> 
>>> 
>>> 
>>>> On Nov 7, 2014, at 2:32 PM, Ragy Isaac <[email-masked] <mailto:[email-masked]>> wrote:
>>>> 
>>>> Emacs freezes after using the “eval line and step” icon from the tool-bar. The minibuffer displays “tool-bar eval line and step”. C-g does not unfreeze emacs. I use Force Quite to terminate emacs. Freezing does not occur if I do not use “eval line and step” icon. Instead I execute the R code with C-enter.
>>> 
>> 
>